aboutsummaryrefslogtreecommitdiffstats
path: root/doc/manuals/regen_doc.sh
diff options
context:
space:
mode:
authorDaniel Willmann <dwillmann@sysmocom.de>2019-06-07 14:25:38 +0200
committerDaniel Willmann <dwillmann@sysmocom.de>2019-06-17 16:37:48 +0200
commit6057632172c5c7bd60052bf90fdec68c98685d6b (patch)
treed8ffcd6ab447eb5a705ddd661d03a5486714e8f5 /doc/manuals/regen_doc.sh
parent10def2cf1edd31216fedc2deccd61a7d6f49630d (diff)
manuals: Add script to update vtr/counter documentation from docker
Run it like this: COMMIT=master DOCKER_PLAYGROUND=~/scm/osmo/docker-playground OSMO_INTERACT_VTY=~/scm/osmo/osmo-python-tests/scripts/osmo_interact_vty.py ./regen_doc.sh COMMIT will default to current HEAD. Change-Id: Iedd1f55d021231d86c19b6f14ff296e3a55148c8 Related: OS#1700
Diffstat (limited to 'doc/manuals/regen_doc.sh')
-rwxr-xr-xdoc/manuals/regen_doc.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 000000000..2f9ef74a2
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+ echo "You need to set DOCKER_PLAYGROUND"
+ exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_BSC_BRANCH=$COMMIT ./regen_doc.sh osmo-bsc 4242 \
+ "$MANUAL_DIR/chapters/counters_generated.adoc" \
+ "$MANUAL_DIR/vty/bsc_vty_reference.xml"